%define major 2
%define libname %mklibname pinyin %major
%define develname %mklibname -d pinyin

Name: libpinyin
Version: 0.8.0
Release: %mkrel 4
Summary: The library of a sentence-based Chinese pinyin input method
Source0: https://github.com/downloads/libpinyin/libpinyin/%{name}-%{version}.tar.gz
Patch0: libpinyin-0.8.0-link.patch
Patch1: libpinyin-0.8.0-incomplete-pinyin.patch
License: GPLv2+
Group: System/Internationalization
Url: https://github.com/libpinyin/libpinyin
Buildrequires: glib2-devel
Buildrequires: db-devel
 
%description
The libpinyin project aims to provide the algorithms core for intelligent
sentence-based Chinese pinyin input methods.

%package	-n %libname
Summary:	Shared library for %name
Group:		System/Internationalization
Requires:	%{name}-data >= %{version}

%description	-n %libname
The libpinyin project aims to provide the algorithms core for intelligent
sentence-based Chinese pinyin input methods.

%package        -n %develname
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}

%description    -n %develname
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package        data
Summary:        Data files for %{name}
BuildArch:	noarch

%description    data
The %{name}-data package contains data files.

%package        tools
Summary:        Tools for %{name}
Requires:       %{libname} >= %{version}

%description    tools
The %{name}-tools package contains tools for training inputting habit.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --without-included-ltdl --disable-static
%make 

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%doc AUTHORS COPYING README
%{_libdir}/%name.so.%major
%{_libdir}/%name.so.%major.*

%files -n %develname
%{_includedir}/libpinyin*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libpinyin.pc

%files data
%{_datadir}/libpinyin

%files tools
%{_bindir}/gen_binary_files
%{_bindir}/import_interpolation
%{_bindir}/gen_unigram
%{_mandir}/man1/*.1.*


%changelog

* Sat Feb 16 2013 fwang <fwang> 0.8.0-4.mga3
+ Revision: 398671
- add upstream patch to fix incomplete pinyin dealing

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-3.mga3
+ Revision: 357969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 fwang <fwang> 0.8.0-2.mga3
+ Revision: 321163
- fix requires

* Fri Nov 23 2012 fwang <fwang> 0.8.0-1.mga3
+ Revision: 321158
- fix pkgname
- use lib policy
- update file list
- more fixes
- force reconf
- fix linkage
- cleanup spec

  + zezinho <zezinho>
    - imported package libpinyin

